dpkg安装deb文件,但依赖太多,各位大神是怎么解决的

Trusty Tahr (长期支持)
回复
miles010
帖子: 103
注册时间: 2014-09-10 17:36
系统: ubuntu10.04
送出感谢: 8 次
接收感谢: 0

dpkg安装deb文件,但依赖太多,各位大神是怎么解决的

#1

帖子 miles010 » 2018-05-18 23:00

# dpkg -i gfortran-4.4-multilib_4.4.7-8ubuntu1_i386.deb
(Reading database ... 176046 files and directories currently installed.)
Preparing to unpack gfortran-4.4-multilib_4.4.7-8ubuntu1_i386.deb ...
Unpacking gfortran-4.4-multilib (4.4.7-8ubuntu1) over (4.4.7-8ubuntu1) ...
dpkg: dependency problems prevent configuration of gfortran-4.4-multilib:
gfortran-4.4-multilib depends on gcc-4.4-base (= 4.4.7-8ubuntu1); however:
Package gcc-4.4-base is not installed.
gfortran-4.4-multilib depends on gfortran-4.4 (= 4.4.7-8ubuntu1); however:
Package gfortran-4.4 is not installed.
gfortran-4.4-multilib depends on gcc-4.4-multilib (= 4.4.7-8ubuntu1); however:
Package gcc-4.4-multilib is not installed.
gfortran-4.4-multilib depends on lib64gfortran3 (>= 4.4.7-8ubuntu1); however:
Package lib64gfortran3 is not installed.

dpkg: error processing package gfortran-4.4-multilib (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
gfortran-4.4-multilib
头像
九天星
帖子: 1335
注册时间: 2007-07-14 20:45
送出感谢: 67 次
接收感谢: 37 次

Re: dpkg安装deb文件,但依赖太多,各位大神是怎么解决的

#2

帖子 九天星 » 2018-05-19 0:21

代码: 全选

sudo apt install -f
开源、共享、自由

微信号非公众号:xfiles_sky

详解中国的五十一区

用手机点击这里有奇迹发生,其他无效
miles010
帖子: 103
注册时间: 2014-09-10 17:36
系统: ubuntu10.04
送出感谢: 8 次
接收感谢: 0

Re: dpkg安装deb文件,但依赖太多,各位大神是怎么解决的

#3

帖子 miles010 » 2018-05-19 7:29

九天星 写了:

代码: 全选

sudo apt install -f
试过了,还是不行
miles010
帖子: 103
注册时间: 2014-09-10 17:36
系统: ubuntu10.04
送出感谢: 8 次
接收感谢: 0

Re: dpkg安装deb文件,但依赖太多,各位大神是怎么解决的

#4

帖子 miles010 » 2018-05-19 7:30

九天星 写了:

代码: 全选

sudo apt install -f
# sudo apt install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... failed.
The following packages have unmet dependencies:
gfortran-4.4-multilib : Depends: gcc-4.4-base (= 4.4.7-8ubuntu1) but it is not installed
Depends: gfortran-4.4 (= 4.4.7-8ubuntu1) but it is not installed
Depends: gcc-4.4-multilib (= 4.4.7-8ubuntu1) but it is not installed
Depends: lib64gfortran3 (>= 4.4.7-8ubuntu1) but it is not installed
libblas-dev : Depends: libblas3 (= 1.2.20110419-7) but it is not installed
libc6-dbg : Depends: libc6 (= 2.19-0ubuntu6.5) but 2.19-0ubuntu6 is installed
libc6-dev : Depends: libc-dev-bin (= 2.19-0ubuntu6) but 2.19-0ubuntu6.5 is installed
zlib1g-dev : Depends: zlib1g (= 1:1.2.3.4.dfsg-3ubuntu4) but 1:1.2.8.dfsg-1ubuntu1 is installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies
poloshiao
论坛版主
帖子: 18159
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1923 次

Re: dpkg安装deb文件,但依赖太多,各位大神是怎么解决的

#5

帖子 poloshiao » 2018-05-19 10:30

sudo apt install -f
1. 這個指令 還不夠聰明到解決所有相依未滿足的情況 手動介入 有時還是需要的
dpkg -i gfortran-4.4-multilib_4.4.7-8ubuntu1_i386.deb
2. https://packages.ubuntu.com/search?suit ... chon=names
Package gfortran-4.4-multilib

3. 把下面指令 複製 貼進終端機 執行
3-1. uname -a
3-2. sudo cat /etc/os-release | grep VERSION
把指令及結果全部直接 選取/複製/貼上來
miles010
帖子: 103
注册时间: 2014-09-10 17:36
系统: ubuntu10.04
送出感谢: 8 次
接收感谢: 0

Re: dpkg安装deb文件,但依赖太多,各位大神是怎么解决的

#6

帖子 miles010 » 2018-05-20 17:46

poloshiao 写了:
sudo apt install -f
1. 這個指令 還不夠聰明到解決所有相依未滿足的情況 手動介入 有時還是需要的
dpkg -i gfortran-4.4-multilib_4.4.7-8ubuntu1_i386.deb
2. https://packages.ubuntu.com/search?suit ... chon=names
Package gfortran-4.4-multilib

3. 把下面指令 複製 貼進終端機 執行
3-1. uname -a
3-2. sudo cat /etc/os-release | grep VERSION
把指令及結果全部直接 選取/複製/貼上來
感谢回复,我一个依赖一个依赖装的
头像
susbarbatus
帖子: 2967
注册时间: 2010-04-10 16:14
系统: Arch Linux
送出感谢: 6 次
接收感谢: 68 次

Re: dpkg安装deb文件,但依赖太多,各位大神是怎么解决的

#7

帖子 susbarbatus » 2018-05-21 9:58

可是为什么要用deb文件安装呢?gfortran在软件源里面不是有吗?直接apt安装就好了吧
沉迷将棋中……
poloshiao
论坛版主
帖子: 18159
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1923 次

Re: dpkg安装deb文件,但依赖太多,各位大神是怎么解决的

#8

帖子 poloshiao » 2018-05-21 10:08

3. 把下面指令 複製 貼進終端機 執行
3-1. uname -a
3-2. sudo cat /etc/os-release | grep VERSION
把指令及結果全部直接 選取/複製/貼上來
感谢回复,我一个依赖一个依赖装的
你的回答 並沒有針對我的問題
回复

回到 “Ubuntu 14.04 LTS”